# Arbi_cpu sublet file
# Created with sur-0.2.165
require 'arbi'

configure :arbi_cpu do |s|
    s.interval = 2
    s.icon = Subtlext::Icon.new("cpu.xbm")
end

on :run do |s|
    begin
        s.data = s.icon + " " + Arbi.get("cpu")["AVERAGE"]
    rescue e
        s.data = s.icon + " unknown"
        p e
    end
end
